Update server's storage

28/04/2022 17:20 - Philippe May

Status: Resolved Start date: 28/04/2022

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

The storage management needs to be updated. There's now an SSD on the server after a failure of HDD, and the partitioning of the

setup needs review and update.

History

#1 - 28/04/2022 17:21 - Philippe May

Current status:

root@dream:~# lsblk -f

NAME                                 FSTYPE            FSVER    LABEL   UUID                                  

 FSAVAIL FSUSE% MOUNTPOINT

sda                                                                                                           

                

├─sda1                               vfat              FAT32            8E56-E147                             

                

├─sda2                               btrfs                              35e94cd2-7d9e-4b45-88ba-f6ea79756bb8  

                

├─sda3                               btrfs                              39b40adb-70a8-4271-93c1-065bb53d7fed  

                

├─sda4                               swap              1                a62cdc04-4846-4649-9bdd-72c3d701ec74  

                

├─sda5                               btrfs                              594e4dcc-7202-4398-95d2-afb37b4f9df2  

                

└─sda6                               linux_raid_member 1.2      dream:0 8f064ad3-8046-7ac4-8748-7e98b372ee9b  

                

  └─md0                              LVM2_member       LVM2 001         X4Jifu-HeCl-fhzw-fYbM-rdm2-dYLY-kbqB8K

                

    ├─dream.csr-gisaf.csr.av--swap   swap              1                d54dae72-6d79-4c74-a9d9-03dfdce55000  

                

    ├─dream.csr-gisaf.csr.av--disk   ext4              1.0              92db39ef-d7f0-4227-97f6-2992196a09bb  

                

    ├─dream.csr-infra.csr.av--swap   swap              1                c9745d54-c279-4a33-85d9-ef512ae76dfd  

                

    ├─dream.csr-infra.csr.av--disk   ext4              1.0              097afe53-8590-4bee-a979-595658f34cf4  

                

    ├─dream.csr-samba.csr.av--swap   swap              1                826e3a7c-7fa1-4c9c-892b-bcdb64abdc47  

                

    ├─dream.csr-samba.csr.av--disk   ext4              1.0              8a7004b1-d0ae-4b8e-aa3f-15b26f2d96d2  

                

    ├─dream.csr-gisaf2.csr.av--swap  swap              1                581499fd-3d3a-4ccf-b097-dce8d6eace24  

                

    ├─dream.csr-gisaf2.csr.av--disk  ext4              1.0              fb9221ae-d10b-4c70-bc60-b48ec001729d  

                

    ├─dream.csr-gisdb.csr.av--swap   swap              1                b8fad7c6-1b86-4509-adbc-3806702e6b97  

                

    ├─dream.csr-gisdb.csr.av--disk   ext4              1.0              dea7e1e3-197d-40ac-8892-2358c7a38619  

                

    ├─dream.csr-jupyter.csr.av--swap swap              1                71450732-86a4-4496-9073-82287961925c  

                

    └─dream.csr-jupyter.csr.av--disk ext4              1.0              51b56adf-b971-43b1-882f-9addb86244f6  

                

sdb                                                                                                           

                

├─sdb1                               vfat              FAT32            8E56-E147                             

                

├─sdb2                               ext4              1.0              06195c52-a6c4-4cf1-90ae-53827b09bea2  

   19.4G    14% /
├─sdb4                               swap              1                a55edd67-196f-4405-bbcc-d6abb7114ac4  

                [SWAP]

└─sdb5                                                                                                        

                

sdc                                                                                                           

                

├─sdc1                               vfat              FAT32            8E56-E148                             

  451.3M    12% /boot/efi

└─sdc2                                                                                                        

                

sdd                                                                                                           

                

├─sdd1                               vfat              FAT32            D540-3601                             

                

├─sdd2                               ext4              1.0              06195c52-a6c4-4cf1-90ae-53827b09bea2  

                

├─sdd3                               btrfs                              39b40adb-70a8-4271-93c1-065bb53d7fed  

                

├─sdd4                               swap              1                d0ac7c97-5e83-47c4-90ac-c03061d93b73  

                

├─sdd5                               btrfs                              594e4dcc-7202-4398-95d2-afb37b4f9df2  

                

└─sdd6                               linux_raid_member 1.2      dream:0 8f064ad3-8046-7ac4-8748-7e98b372ee9b  

                

  └─md0                              LVM2_member       LVM2 001         X4Jifu-HeCl-fhzw-fYbM-rdm2-dYLY-kbqB8K

                

    ├─dream.csr-gisaf.csr.av--swap   swap              1                d54dae72-6d79-4c74-a9d9-03dfdce55000  

                

    ├─dream.csr-gisaf.csr.av--disk   ext4              1.0              92db39ef-d7f0-4227-97f6-2992196a09bb  

                

    ├─dream.csr-infra.csr.av--swap   swap              1                c9745d54-c279-4a33-85d9-ef512ae76dfd  

                

    ├─dream.csr-infra.csr.av--disk   ext4              1.0              097afe53-8590-4bee-a979-595658f34cf4  

                

    ├─dream.csr-samba.csr.av--swap   swap              1                826e3a7c-7fa1-4c9c-892b-bcdb64abdc47  

                

    ├─dream.csr-samba.csr.av--disk   ext4              1.0              8a7004b1-d0ae-4b8e-aa3f-15b26f2d96d2  

                

    ├─dream.csr-gisaf2.csr.av--swap  swap              1                581499fd-3d3a-4ccf-b097-dce8d6eace24  

                

    ├─dream.csr-gisaf2.csr.av--disk  ext4              1.0              fb9221ae-d10b-4c70-bc60-b48ec001729d  

                

    ├─dream.csr-gisdb.csr.av--swap   swap              1                b8fad7c6-1b86-4509-adbc-3806702e6b97  

                

    ├─dream.csr-gisdb.csr.av--disk   ext4              1.0              dea7e1e3-197d-40ac-8892-2358c7a38619  

                

    ├─dream.csr-jupyter.csr.av--swap swap              1                71450732-86a4-4496-9073-82287961925c  

                

    └─dream.csr-jupyter.csr.av--disk ext4              1.0              51b56adf-b971-43b1-882f-9addb86244f6  

                

 

root@dream:~# lshw|grep -A 12 disk

           *-disk:0

                description: ATA Disk

                product: ST2000DM006-2DM1

                physical id: 0

                bus info: scsi@0:0.0.0

                logical name: /dev/sda

                version: CC26

                serial: Z8E0QMHC

                size: 1863GiB (2TB)

                capabilities: gpt-1.00 partitioned partitioned:gpt

                configuration: ansiversion=5 guid=674b4b97-ac3c-4564-b4fe-e7f7be9b4fa9 logicalsectorsize=512 s

ectorsize=4096

              *-volume:0

                   description: Windows FAT volume

--

           *-disk:1

                description: ATA Disk

                product: TOSHIBA DT01ACA1

                vendor: Toshiba
                physical id: 1

                bus info: scsi@1:0.0.0

                logical name: /dev/sdb

                version: A810

                serial: 77I739JMS

                size: 931GiB (1TB)

                capabilities: gpt-1.00 partitioned partitioned:gpt

                configuration: ansiversion=5 guid=59098f62-b43f-4f54-b510-3548c7c21fec logicalsectorsize=512 s

ectorsize=4096

              *-volume:0

--

           *-disk:2

                description: ATA Disk

                product: CT480BX500SSD1

                physical id: 2

                bus info: scsi@2:0.0.0

                logical name: /dev/sdc

                version: 054

                serial: 2146E5E475C8

                size: 447GiB (480GB)

                capabilities: gpt-1.00 partitioned partitioned:gpt

                configuration: ansiversion=5 guid=c7adcf1f-080c-604c-8c68-2e0b84eb2c4e logicalsectorsize=512 s

ectorsize=512

              *-volume:0

                   description: Windows FAT volume

--

           *-disk:3

                description: ATA Disk

                product: ST2000DM006-2DM1

                physical id: 3

                bus info: scsi@3:0.0.0

                logical name: /dev/sdd

                version: CC26

                serial: Z4Z98DCQ

                size: 1863GiB (2TB)

                capabilities: gpt-1.00 partitioned partitioned:gpt

                configuration: ansiversion=5 guid=59098f62-b43f-4f54-b510-3548c7c21fec logicalsectorsize=512 s

ectorsize=4096

              *-volume:0

                   description: Windows FAT volume
#2 - 06/05/2022 11:38 - Philippe May

We're already booting from the SSD (sdc):

root@dream:~# efibootmgr -v

BootCurrent: 0000

Timeout: 1 seconds

BootOrder: 0000,0005,0004,0001,0002,0003,0006,0007,0009

Boot0000* debian    HD(1,GPT,3aea183a-9cca-8d40-9912-66dbaf689a08,0x800,0x100000)/File(\EFI\debian\grubx64.efi

)

Boot0001  Onboard NIC(IPV4)    PciRoot(0x0)/Pci(0x1f,0x6)/MAC(d89ef30d1fc0,0)/IPv4(0.0.0.00.0.0.0,0,0)..BO

Boot0002  Onboard NIC(IPV6)    PciRoot(0x0)/Pci(0x1f,0x6)/MAC(d89ef30d1fc0,0)/IPv6([::]:<->[::]:,0,0)..BO

Boot0003* grub    PciRoot(0x0)/Pci(0x17,0x0)/Sata(1,65535,0)/HD(1,GPT,b48c01a0-48f3-47fb-a926-ed74cd95f40f,0x8

00,0x100000)/File(\EFI\debian\grubx64.efi)

Boot0004* Refind from Dell    PciRoot(0x0)/Pci(0x17,0x0)/Sata(1,65535,0)/HD(1,GPT,b48c01a0-48f3-47fb-a926-ed74

cd95f40f,0x800,0x100000)/File(\EFI\refind\refind_x64.efi)

Boot0005* rEFInd Boot Manager    HD(1,GPT,b48c01a0-48f3-47fb-a926-ed74cd95f40f,0x800,0x100000)/File(\EFI\refin

d\refind_x64.efi)

Boot0006* UEFI: ST2000DM006-2DM164    HD(1,GPT,b48c01a0-48f3-47fb-a926-ed74cd95f40f,0x800,0x100000)/File(EFI\b

oot\bootx64.efi)..BO

Boot0007* UEFI: CT480BX500SSD1    HD(1,GPT,3aea183a-9cca-8d40-9912-66dbaf689a08,0x800,0x100000)/File(EFI\boot\

bootx64.efi)..BO

Boot0009* UEFI: ST2000DM006-2DM164    HD(1,GPT,58139cff-774b-4c53-907c-77d995299c49,0x800,0x100000)/File(EFI\b

oot\bootx64.efi)..BO

 

root@dream:~# blkid |grep 3aea

/dev/sdc1: UUID="8E56-E148" BLOCK_SIZE="512" TYPE="vfat" PARTUUID="3aea183a-9cca-8d40-9912-66dbaf689a08" 

#3 - 06/05/2022 14:38 - Philippe May

- Status changed from New to Resolved

In a nutshell:

Copied all root partition from /dev/sdb2 to /dev/sdc2

Booted with root=/dev/sdc2

update-grub  ## updates /boot/grub/grub.cfg, apparently required by /boot/efi/EFI/debian/grubx64.efi

cp /boot/grub/grub.cfg /boot/efi/EFI/debian  ## Not sure about that one

Additionally:
Update kernel image on dom0

Update kernels on domUs (cd /boot ;  cp 5.10.0-14 xen)

Updqte domUs kernel config to match this version

Make sure gisaf2.csr.av is booted on dom0 boot, adjust the number of CPUs from 1 to 2

Rebooted the dom0 => all services seem up without human intervention.
